export function getPlotMapper(){
    /*

    */
    return {
        // CHART JS 
        0: {
            'typeId': 0,
            'slugApi': 'line',
            'display': true,
            'category': ['chartJS', 'line', 'basic'],
            'icon': {'icon': 'fa-line-chart', 'type': 'icon'},
            'name': 'Line',
            'ref': 'line-chart',
            'type': 'chartJS',
            'libraryName': 'ChartJS',
            'ord': 0,
        },
        1: {
            'typeId': 1,
            'slugApi': 'bar',
            'display': true,
            'category': ['chartJS', 'bar', 'basic'],
            'icon': {'icon': 'fa-bar-chart', 'type': 'icon'},
            'name': 'Bar',
            'ref': 'bar-chart',
            'type': 'chartJS',
            'libraryName': 'ChartJS',
            'ord': 1,
        },
        2: {
            'typeId': 2,
            'slugApi': 'area',
            'display': true,
            'category': ['chartJS', 'area', 'basic'],
            'icon': {'icon': 'fa-area-chart', 'type': 'icon'},
            'name': 'Area',
            'ref': 'area-chart',
            'type': 'chartJS',
            'libraryName': 'ChartJS',
            'ord': 2,
        },
        3: {
            'typeId': 3,
            'slugApi': 'scatter',
            'display': true,
            'category': ['chartJS', 'scatter', 'basic'],
            'icon': {'icon': 'scatter', 'type': 'base64'},
            'name': 'Scatter',
            'ref': 'scatter-chart',
            'type': 'chartJS',
            'libraryName': 'ChartJS',
            'ord': 3,
        },
        4: {
            'typeId': 4,
            'slugApi': 'pie',
            'display': true,
            'category': ['chartJS', 'pie', 'basic'],
            'icon': {'icon': 'fa-pie-chart', 'type': 'icon'},
            'name': 'Pie',
            'ref': 'pie-chart',
            'type': 'chartJS',
            'libraryName': 'ChartJS',
            'ord': 4,
        },
        5: {
            'typeId': 5,
            'slugApi': 'donut',
            'display': true,
            'category': ['chartJS', 'donut', 'basic'],
            'icon': {'icon': 'md-chart-donut', 'type': 'icon'},
            'name': 'Donut',
            'ref': 'donut-chart',
            'type': 'chartJS',
            'libraryName': 'ChartJS',
            'ord': 5,
        },
        6: {
            'typeId': 6,
            'slugApi': 'radar',
            'display': true,
            'category': ['chartJS', 'radar', 'basic'],
            'icon': {'icon': 'radar', 'type': 'base64'},
            'name': 'Radar',
            'ref': 'radar-chart',
            'type': 'chartJS',
            'libraryName': 'ChartJS',
            'ord': 6,
        },
        7: { // DEPRECATED
            'typeId': 7,
            'slugApi': 'gauge',
            'display': false,
            'category': ['chartJS', 'gauge', 'basic'],
            'icon': {
                'path': 'static/assets/images/other/chartjs_gauge.png',
                'type': 'image'
            },
            'name': 'Gauge',
            'ref': 'gauge-chart',
            'type': 'chartJS',
            'libraryName': 'ChartJS',
            'ord': 7,
        },
        8: {
            'typeId': 8,
            'slugApi': '-1',
            'display': true,
            'category': ['text', 'basic'],
            'icon': {'icon': 'fa-pencil-square-o', 'type': 'icon'},
            'name': 'Text',
            'ref': 'summernote-chart',
            'type': 'Text',
            'libraryName': 'Summernote',
            'ord': 0,
        },
        9: {
            'typeId': 9,
            'slugApi': 'bubble',
            'display': true,
            'category': ['chartJS', 'bubble', 'basic'],
            'icon': {'icon': 'bubble', 'type': 'base64'},
            'name': 'Bubble',
            'ref': 'bubble-chart',
            'type': 'chartJS',
            'libraryName': 'ChartJS',
            'ord': 8,
        },
        10: {
            'typeId': 10,
            'slugApi': 'barH',
            'display': true,
            'category': ['chartJS', 'bar', 'basic'],
            'icon': {'icon': 'bar_horizontal', 'type': 'base64'},
            'name': 'Bar horizontal',
            'ref': 'bar-horizontal-chart',
            'type': 'chartJS',
            'libraryName': 'ChartJS',
            'ord': 9,
        },
        11: {
            'typeId': 11,
            'slugApi': 'map',
            'display': false,
            'category': ['map'],
            'icon': {'icon': 'fa-globe', 'type': 'icon'},
            'name': 'Map',
            'ref': 'map-chart',
            'type': 'Map',
            'libraryName': 'Map',
            'ord': 0,
        },
        12: {
            'typeId': 12,
            'slugApi': 'dataframe',
            'display': true,
            'category': ['dataframe', 'table', 'basic'],
            'icon': {'icon': 'fa-table', 'type': 'icon'},
            'name': 'DataFrame',
            'ref': 'data-frame-chart',
            'type': 'DataFrame',
            'libraryName': 'SpartaQube',
            'ord': 0,
        },
        13: {
            'typeId': 13,
            'slugApi': 'polar',
            'display': true,
            'category': ['chartJS', 'polar', 'basic'],
            'icon': {'icon': 'fa-pie-chart', 'type': 'icon'},
            'name': 'Polar',
            'ref': 'polar-chart',
            'type': 'chartJS',
            'libraryName': 'ChartJS',
            'ord': 10,
        },
        14: {
            'typeId': 14,
            'slugApi': 'mixed',
            'display': true,
            'category': ['chartJS', 'mixed', 'basic'],
            'icon': {'icon': 'fa-signal', 'type': 'icon'},
            'name': 'Mixed',
            'ref': 'mixed-chart',
            'type': 'chartJS',
            'libraryName': 'ChartJS',
            'ord': 11,
        },
        // TRADING VIEW
        15: {
            'typeId': 15,
            'slugApi': 'realTimeStock',
            'display': true,
            'category': ['trading view', 'stock'],
            'icon': {'type': 'tv'},
            'name': 'Real time stock',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 0,
        },
        16: {
            'typeId': 16,
            'slugApi': 'stockHeatmap',
            'display': true,
            'category': ['trading view', 'stock'],
            'icon': {'type': 'tv'},
            'name': 'Stock heatmap',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 1,
        },
        88: {
            'typeId': 88,
            'slugApi': 'etfHeatmap',
            'display': true,
            'category': ['trading view', 'stock', 'etf'],
            'icon': {'type': 'tv'},
            'name': 'ETF heatmap',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 1,
        },
        17: {
            'typeId': 17,
            'slugApi': 'economicCalendar',
            'display': true,
            'category': ['trading view', 'economy', 'calendar'],
            'icon': {'type': 'tv'},
            'name': 'Economic calendar',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 2,
        },
        18: {
            'typeId': 18,
            'slugApi': 'cryptoTable',
            'display': true,
            'category': ['trading view', 'crypto'],
            'icon': {'type': 'tv'},
            'name': 'Crypto table',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 3,
        },
        19: {
            'typeId': 19,
            'slugApi': 'cryptoHeatmap',
            'display': true,
            'category': ['trading view', 'crypto'],
            'icon': {'type': 'tv'},
            'name': 'Crypto heatmap',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 4,
        },
        20: {
            'typeId': 20,
            'slugApi': 'forex',
            'display': true,
            'category': ['trading view', 'fx'],
            'icon': {'type': 'tv'},
            'name': 'Forex',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 5,
        },
        21: {
            'typeId': 21,
            'slugApi': 'forexHeatmap',
            'display': true,
            'category': ['trading view', 'fx'],
            'icon': {'type': 'tv'},
            'name': 'Forex heatmap',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 6,
        },
        22: {
            'typeId': 22,
            'slugApi': 'marketData',
            'display': true,
            'category': ['trading view', 'stock'],
            'icon': {'type': 'tv'},
            'name': 'Market data',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 7,
        },
        23: {
            'typeId': 23,
            'slugApi': 'stockMarket',
            'display': true,
            'category': ['trading view', 'stock'],
            'icon': {'type': 'tv'},
            'name': 'Stock market',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 8,
        },
        24: {
            'typeId': 24,
            'slugApi': 'screener',
            'display': true,
            'category': ['trading view', 'stock'],
            'icon': {'type': 'tv'},
            'name': 'Screener',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 9,
        },
        25: {
            'typeId': 25,
            'slugApi': 'stockAnalysis',
            'display': true,
            'category': ['trading view', 'stock'],
            'icon': {'type': 'tv'},
            'name': 'Stock analysis',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 10,
        },
        26: {
            'typeId': 26,
            'slugApi': 'technicalAnalysis',
            'display': true,
            'category': ['trading view', 'stock'],
            'icon': {'type': 'tv'},
            'name': 'Technical analysis',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 11,
        },
        27: {
            'typeId': 27,
            'slugApi': 'companyProfile',
            'display': true,
            'category': ['trading view', 'stock'],
            'icon': {'type': 'tv'},
            'name': 'Company profile',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 12,
        },
        28: {
            'typeId': 28,
            'slugApi': 'topStories',
            'display': true,
            'category': ['trading view', 'stock'],
            'icon': {'type': 'tv'},
            'name': 'Top stories',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 13,
        },
        29: {
            'typeId': 29,
            'slugApi': 'symbolOverview',
            'display': true,
            'category': ['trading view', 'stock'],
            'icon': {'type': 'tv'},
            'name': 'Symbol overview',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 14,
        },
        30: {
            'typeId': 30,
            'slugApi': 'symbolMini',
            'display': true,
            'category': ['trading view', 'stock'],
            'icon': {'type': 'tv'},
            'name': 'Symbol mini',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 15,
        },
        31: {
            'typeId': 31,
            'slugApi': 'symbolInfo',
            'display': true,
            'category': ['trading view', 'stock'],
            'icon': {'type': 'tv'},
            'name': 'Symbol info',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 16,
        },
        32: {
            'typeId': 32,
            'slugApi': 'singleTicker',
            'display': true,
            'category': ['trading view', 'stock'],
            'icon': {'type': 'tv'},
            'name': 'Single ticker',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 17,
        },
        33: {
            'typeId': 33,
            'slugApi': 'tickerTape',
            'display': true,
            'category': ['trading view', 'stock'],
            'icon': {'type': 'tv'},
            'name': 'Ticker tape',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 18,
        },
        34: {
            'typeId': 34,
            'slugApi': 'tickerWidget',
            'display': true,
            'category': ['trading view', 'stock'],
            'icon': {'type': 'tv'},
            'name': 'Ticker widget',
            'ref': 'tv-chart',
            'type': 'tv',
            'bHasInputs': false,
            'libraryName': 'TradingView',
            'ord': 19,
        },
        // NIVO
        35: {
            'typeId': 35,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'area bump'],
            'icon': {
                'path': 'static/assets/images/nivo/area_bump.png',
                'type': 'nivo'
            },
            'name': 'Area bump',
            'ref': 'nivo-area-bump-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 0,
        },
        36: {
            'typeId': 36,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'bar'],
            'icon': {
                'path': 'static/assets/images/nivo/bar.png', 
                'type': 'nivo'
            },
            'name': 'Bar',
            'ref': 'nivo-bar-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 1,
        },
        37: {
            'typeId': 37,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'boxplot'],
            'icon': {
                'path': 'static/assets/images/nivo/box_plot.png',
                'type': 'nivo'
            },
            'name': 'BoxPlot',
            'ref': 'nivo-box-plot-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 2,
        },
        38: {
            'typeId': 38,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'circle pack'],
            'icon': {
                'path': 'static/assets/images/nivo/circle_packing.png',
                'type': 'nivo'
            },
            'name': 'Circle Packing',
            'ref': 'nivo-circle-packing-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 3,
        },
        39: {
            'typeId': 39,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'bump'],
            'icon': {
                'path': 'static/assets/images/nivo/bump.png', 
                'type': 'nivo'
            },
            'name': 'Bump',
            'ref': 'nivo-bump-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 4,
        },
        40: {
            'typeId': 40,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'bullet'],
            'icon': {
                'path': 'static/assets/images/nivo/bullet.png', 
                'type': 'nivo'
            },
            'name': 'Bullet',
            'ref': 'nivo-bullet-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 5,
        },
        41: {
            'typeId': 41,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'calendar'],
            'icon': {
                'path': 'static/assets/images/nivo/calendar.png',
                'type': 'nivo'
            },
            'name': 'Calendar',
            'ref': 'nivo-calendar-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 6,
        },
        42: {
            'typeId': 42,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'choropleth'],
            'icon': {
                'path': 'static/assets/images/nivo/choropleth.png',
                'type': 'nivo'
            },
            'name': 'Choropleth',
            'ref': 'nivo-generique-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 7,
        },
        43: {
            'typeId': 43,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'chord'],
            'icon': {
                'path': 'static/assets/images/nivo/chord.png',
                'type': 'nivo'
            },
            'name': 'Chord',
            'ref': 'nivo-chord-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 8,
        },
        44: {
            'typeId': 44,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'funnel'],
            'icon': {
                'path': 'static/assets/images/nivo/funnel.png',
                'type': 'nivo'
            },
            'name': 'Funnel',
            'ref': 'nivo-funnel-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 9,
        },
        45: {
            'typeId': 45,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'geomap'],
            'icon': {
                'path': 'static/assets/images/nivo/geomap.png',
                'type': 'nivo'
            },
            'name': 'GeoMap',
            'ref': 'nivo-generique-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 10,
        },
        46: {
            'typeId': 46,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'heatmap'],
            'icon': {
                'path': 'static/assets/images/nivo/heatmap.png',
                'type': 'nivo'
            },
            'name': 'Heatmap',
            'ref': 'nivo-heatmap-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 11,
        },
        47: {
            'typeId': 47,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'line'],
            'icon': {
                'path': 'static/assets/images/nivo/line.png',
                'type': 'nivo'
            },
            'name': 'Line',
            'ref': 'nivo-line-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 12,
        },
        48: {
            'typeId': 48,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'marimekko'],
            'icon': {
                'path': 'static/assets/images/nivo/marimekko.png',
                'type': 'nivo'
            },
            'name': 'Marimekko',
            'ref': 'nivo-marimekko-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 13,
        },
        49: {
            'typeId': 49,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'network'],
            'icon': {
                'path': 'static/assets/images/nivo/network.png',
                'type': 'nivo'
            },
            'name': 'Network',
            'ref': 'nivo-generique-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 14,
        },
        50: {
            'typeId': 50,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'parallel coordinates'],
            'icon': {
                'path': 'static/assets/images/nivo/parralel_coordinates.png',
                'type': 'nivo'
            },
            'name': 'Parallel Coordinates',
            'ref': 'nivo-parallel-coordinates-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 15,
        },
        51: {
            'typeId': 51,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'pie'],
            'icon': {
                'path': 'static/assets/images/nivo/pie.png',
                'type': 'nivo'
            },
            'name': 'Pie',
            'ref': 'nivo-pie-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 16,
        },
        52: {
            'typeId': 52,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'radar'],
            'icon': {
                'path': 'static/assets/images/nivo/radar.png',
                'type': 'nivo'
            },
            'name': 'Radar',
            'ref': 'nivo-radar-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 17,
        },
        53: {
            'typeId': 53,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'radial'],
            'icon': {
                'path': 'static/assets/images/nivo/radial_bar.png',
                'type': 'nivo'
            },
            'name': 'Radial Bar',
            'ref': 'nivo-radial-bar-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 18,
        },
        54: {
            'typeId': 54,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'sankey'],
            'icon': {
                'path': 'static/assets/images/nivo/sankey.png', 
                'type': 'nivo'
            },
            'name': 'Sankey',
            'ref': 'nivo-generique-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 19,
        },
        55: {
            'typeId': 55,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'scatter'],
            'icon': {'path': 'static/assets/images/nivo/scatter_plot.png',
                    'type': 'nivo'},
            'name': 'Scatter Plot',
            'ref': 'nivo-scatter-plot-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 20,
        },
        56: {
            'typeId': 56,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'stream'],
            'icon': {
                'path': 'static/assets/images/nivo/stream.png',
                'type': 'nivo'
            },
            'name': 'Stream',
            'ref': 'nivo-stream-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 21,
        },
        57: {
            'typeId': 57,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'sunburst'],
            'icon': {
                'path': 'static/assets/images/nivo/sunburst.png',
                'type': 'nivo'
            },
            'name': 'Sunburst',
            'ref': 'nivo-sunburst-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 22,
        },
        58: {
            'typeId': 58,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'swarm'],
            'icon': {
                'path': 'static/assets/images/nivo/swarm_plot.png',
                'type': 'nivo'
            },
            'name': 'SwarmPlot',
            'ref': 'nivo-swarmplot-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 23,
        },
        59: {
            'typeId': 59,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'time range'],
            'icon': {
                'path': 'static/assets/images/nivo/time_range.png',
                'type': 'nivo'
            },
            'name': 'Time Range',
            'ref': 'nivo-time-range-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 24,
        },
        60: {
            'typeId': 60,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'treemap'],
            'icon': {
                'path': 'static/assets/images/nivo/treemap.png', 
                'type': 'nivo'
            },
            'name': 'Treemap',
            'ref': 'nivo-treemap-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 25,
        },
        61: {
            'typeId': 61,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'voronoi'],
            'icon': {
                'path': 'static/assets/images/nivo/voronoi.png', 
                'type': 'nivo'
            },
            'name': 'Voronoi',
            'ref': 'nivo-generique-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 26,
        },
        62: {
            'typeId': 62,
            'display': false,
            'slugApi': '',
            'category': ['nivo', 'waffle'],
            'icon': {
                'path': 'static/assets/images/nivo/waffle.png',
                'type': 'nivo'
            },
            'name': 'Waffle',
            'ref': 'nivo-waffle-chart',
            'type': 'nivo',
            'libraryName': 'Nivo',
            'ord': 27,
        },
        // LIGHTWEIGHT CHART
        63: {
            'typeId': 63,
            'slugApi': 'candlestick',
            'display': true,
            'category': ['lightweight', 'basic'],
            'icon': {'icon': 'candle', 'type': 'base64'},
            'name': 'Candles',
            'ref': 'lightweight-candles-chart',
            'type': 'lightweightChart',
            'libraryName': 'Lightweight',
            'ord': 0,
        },
        64: {
            'typeId': 64,
            'slugApi': 'line2',
            'display': true,
            'category': ['lightweight', 'basic'],
            // 'icon': {'icon': 'fa-line-chart', 'type': 'icon'},
            'icon': {
                'path': 'static/assets/images/other/lightweight_line.png',
                'type': 'image'
            },
            'name': 'Line',
            'ref': 'lightweight-line-chart',
            'type': 'lightweightChart',
            'libraryName': 'Lightweight',
            'ord': 1,
        },
        65: {
            'typeId': 65,
            'slugApi': 'area2',
            'display': true,
            'category': ['lightweight', 'basic'],
            // 'icon': {'icon': 'fa-area-chart', 'type': 'icon'},
            'icon': {
                'path': 'static/assets/images/other/lightweight_area.png',
                'type': 'image'
            },
            'name': 'Area',
            'ref': 'lightweight-area-chart',
            'type': 'lightweightChart',
            'libraryName': 'Lightweight',
            'ord': 2,
        },
        66: {
            'typeId': 66,
            'display': false,
            'slugApi': '',
            'category': ['lightweight'],
            'icon': {'icon': 'fa-bar-chart', 'type': 'icon'},
            'name': 'Histogram series',
            'ref': 'lightweight-histogram-chart',
            'type': 'lightweightChart',
            'libraryName': 'Lightweight',
            'ord': 3,
        },
        67: {
            'typeId': 67,
            'slugApi': 'baseline2',
            'display': true,
            'category': ['lightweight'],
            // 'icon': {'icon': 'fa-area-chart', 'type': 'icon'},
            'icon': {
                'path': 'static/assets/images/other/lightweight_baseline.png',
                'type': 'image'
            },
            'name': 'Baseline',
            'ref': 'lightweight-baseline-chart',
            'type': 'lightweightChart',
            'libraryName': 'Lightweight',
            'ord': 4,
        },
        68: {
            'typeId': 68,
            'display': false,
            'slugApi': '',
            'category': ['lightweight'],
            'icon': {'icon': 'fa-line-chart', 'type': 'icon'},
            'name': 'Heatmap',
            'ref': 'lightweight-heatmap-chart',
            'type': 'lightweightChart',
            'libraryName': 'Lightweight',
            'ord': 5,
        },
        69: {
            'typeId': 69,
            'display': false,
            'slugApi': '',
            'category': ['lightweight'],
            'icon': {'icon': 'fa-line-chart', 'type': 'icon'},
            'name': 'Heatmap Line',
            'ref': 'lightweight-heatmap-line-chart',
            'type': 'lightweightChart',
            'libraryName': 'Lightweight',
            'ord': 6,
        },
        70: {
            'typeId': 70,
            'slugApi': 'bar2',
            'display': true,
            'category': ['lightweight', 'basic'],
            // 'icon': {'icon': 'fa-bar-chart', 'type': 'icon'},
            'icon': {
                'path': 'static/assets/images/other/lightweight_bar.png',
                'type': 'image'
            },
            'name': 'Bar',
            'ref': 'lightweight-bar-chart',
            'type': 'lightweightChart',
            'libraryName': 'Lightweight',
            'ord': 7,
        },
        71: {
            'typeId': 71,
            'slugApi': 'shadedBackground2',
            'display': true,
            'category': ['lightweight'],
            // 'icon': {'icon': 'fa-line-chart', 'type': 'icon'},
            'icon': {
                'path': 'static/assets/images/other/lightweight_shaded.png',
                'type': 'image'
            },
            'name': 'Shaded background',
            'ref': 'lightweight-shaded-background-chart',
            'type': 'lightweightChart',
            'libraryName': 'Lightweight',
            'ord': 8,
        },
        72: {
            'typeId': 72,
            'slugApi': 'lollipop2',
            'display': true,
            'category': ['lightweight'],
            // 'icon': {'icon': 'fa-bar-chart', 'type': 'icon'},
            'icon': {
                'path': 'static/assets/images/other/lightweight_lollipop.png',
                'type': 'image'
            },
            'name': 'Lollipop',
            'ref': 'lightweight-lollipop-chart',
            'type': 'lightweightChart',
            'libraryName': 'Lightweight',
            'ord': 9,
        },
        73: {
            'typeId': 73,
            'display': false,
            'slugApi': '',
            'category': ['lightweight'],
            'icon': {'icon': 'fa-bar-chart', 'type': 'icon'},
            'name': 'Whisker Box',
            'ref': 'lightweight-whisker-box-chart',
            'type': 'lightweightChart',
            'libraryName': 'Lightweight',
            'ord': 10,
        },
        74: {
            'typeId': 74,
            'slugApi': 'performance',
            'display': true,
            'category': ['lightweight'],
            // 'icon': {'icon': 'fa-line-chart', 'type': 'icon'},
            'icon': {
                'path': 'static/assets/images/other/lightweight_performance.png',
                'type': 'image'
            },
            'name': 'Performance',
            'ref': 'lightweight-highlight-performance-chart',
            'type': 'lightweightChart',
            'libraryName': 'Lightweight',
            'ord': 11,
        },
        75: {
            'typeId': 75,
            'slugApi': 'areaBands2',
            'display': true,
            'category': ['lightweight'],
            // 'icon': {'icon': 'fa-bar-chart', 'type': 'icon'},
            'icon': {
                'path': 'static/assets/images/other/lightweight_area_bands.png',
                'type': 'image'
            },
            'name': 'Area Bands',
            'ref': 'lightweight-area-bands-chart',
            'type': 'lightweightChart',
            'libraryName': 'Lightweight',
            'ord': 12,
        },
        // Spartaqube Text
        76: {
            'typeId': 76,
            'slugApi': '',
            'display': true,
            'category': ['table', 'basic', 'simple text'],
            'icon': {'icon': 'fa-pencil', 'type': 'icon'},
            'name': 'Simple Text',
            'ref': 'simple-text-chart',
            'type': 'SimpleText',
            'libraryName': 'SpartaQube',
            'ord': 1,
        },
        // GAUGE LIB
        77: {
            'typeId': 77,
            'slugApi': 'gauge1',
            'display': true,
            'category': ['gauge.js', 'gauge', 'basic'],
            'icon': {
                'path': 'static/assets/images/other/gauge1.png',
                'type': 'image'
            },
            'name': 'Gauge1',
            'ref': 'gauge-lib1-chart',
            'type': 'gauge.js',
            'libraryName': 'gauge.js',
            'ord': 0,
        },
        78: {
            'typeId': 78,
            'slugApi': 'gauge2',
            'display': true,
            'category': ['gauge.js', 'gauge', 'basic'],
            'icon': {
                'path': 'static/assets/images/other/gauge2.png',
                'type': 'image'
            },
            'name': 'Gauge2',
            'ref': 'gauge-lib2-chart',
            'type': 'gauge.js',
            'libraryName': 'gauge.js',
            'ord': 0,
        },
        79: {
            'typeId': 79,
            'slugApi': 'gauge3',
            'display': true,
            'category': ['gauge.js', 'gauge', 'basic'],
            'icon': {
                'path': 'static/assets/images/other/gauge3.png',
                'type': 'image'
            },
            'name': 'Gauge3',
            'ref': 'gauge-lib3-chart',
            'type': 'gauge.js',
            'libraryName': 'gauge.js',
            'ord': 0,
        },
        80: {
            'typeId': 80,
            'slugApi': 'gauge4',
            'display': true,
            'category': ['gauge.js', 'gauge', 'basic'],
            'icon': {
                'path': 'static/assets/images/other/gauge4.png',
                'type': 'image'
            },
            'name': 'Gauge4',
            'ref': 'gauge-lib4-chart',
            'type': 'gauge.js',
            'libraryName': 'gauge.js',
            'ord': 0,
        },
        81: {
            'typeId': 81,
            'slugApi': 'histogram',
            'display': true,
            'category': ['chartJS', 'histogram', 'basic'],
            'icon': {
                'path': 'static/assets/images/other/histogram-chart.png',
                'type': 'image'
            },
            'name': 'Histogram',
            'ref': 'histogram-chart',
            'type': 'chartJS',
            'libraryName': 'ChartJS',
            'ord': 12,
        },
        // *************************************************************************************************************
        // QUANT
        // *************************************************************************************************************
        82: {
            'typeId': 82,
            'slugApi': 'quantstats',
            'display': true,
            'category': ['quantstats', 'quant', 'finance'],
            'icon': {
                'path': 'static/assets/images/other/quantstats-chart.png',
                'type': 'image'
            },
            'name': 'Quantstats',
            'ref': 'quantstats-chart',
            'type': 'Quant',
            'libraryName': 'Quant',
            'ord': 1,
        },
        83: {
            'typeId': 83,
            'display': false,
            'slugApi': '',
            'category': ['pyfolio', 'quant', 'finance'],
            'icon': {
                'path': 'static/assets/images/other/quantstats-chart.png',
                'type': 'image'
            },
            'name': 'Pyfolio',
            'ref': 'pyfolio-chart',
            'type': 'Quant',
            'libraryName': 'Quant',
            'ord': 2,
        },
        84: {
            'typeId': 84,
            'display': false,
            'slugApi': '',
            'category': ['quantstats', 'quant', 'finance'],
            'icon': {
                'path': 'static/assets/images/other/quantstats-chart.png',
                'type': 'image'
            },
            'name': 'Alphalens',
            'ref': 'alphalens-chart',
            'type': 'Quant',
            'libraryName': 'Quant',
            'ord': 3,
        },
        // Spartaqube Python
        85: {
            'typeId': 85,
            'slugApi': 'notebook',
            'display': true,
            'category': ['Python', 'Code', 'Default'],
            'icon': {'icon': 'md-language-python', 'type': 'icon'},
            'name': 'Python',
            'ref': 'python-chart',
            'type': 'Python',
            'libraryName': 'SpartaQube',
            'ord': 3,
        },
        // *************************************************************************************************************
        // CHART JS PLUGINS
        // *************************************************************************************************************
        86: {
            'typeId': 86,
            'slugApi': 'matrix',
            'display': true,
            'category': ['chartJS', 'matrix', 'heatmap', 'basic'],
            'icon': {
                'path': 'static/assets/images/other/matrix-chart.png',
                'type': 'image'
            },
            'name': 'Matrix',
            'ref': 'matrix-chart',
            'type': 'chartJS',
            'libraryName': 'ChartJS',
            'ord': 13,
        },
        87: {
            'typeId': 87,
            'slugApi': 'timescale',
            'display': true,
            'category': ['chartJS', 'timescale', 'time', 'matrix', 'heatmap', 'basic'],
            'icon': {
                'path': 'static/assets/images/other/matrix-chart.png',
                'type': 'image'
            },
            'name': 'TimeScale',
            'ref': 'timescale-chart',
            'type': 'chartJS',
            'libraryName': 'ChartJS',
            'ord': 13,
        },
        // Next 89
     }
};

// PARSED ENDLINE COMMENT (DO NOT REMOVE)

export function getRefIdConfigAttribute() {
    return {
        0: 'attribute-chart-js-line-x-axis',
        1: 'attribute-chart-js-line-y-axis',
        2: 'attribute-chart-js-title',
        3: 'attribute-chart-js-line',
        4: 'attribute-chart-js-bar',
        5: 'attribute-chart-js-line-general',
        6: 'attribute-chart-js-bar-general',
        7: 'attribute-chart-js-pie',
        8: 'attribute-chart-js-scatter',
        9: 'attribute-chart-js-bubble',
        10: 'attribute-chart-js-radius-factor',
        11: 'attribute-chart-js-data-frame-general',
        12: 'attribute-chart-js-data-frame-index',
        13: 'attribute-chart-js-data-frame-values',
        14: 'attribute-chart-js-data-frame-conditional',
        15: 'attribute-chart-js-data-frame-title',
        16: 'attribute-chart-js-data-frame-columns-header',
        17: 'attribute-chart-js-axes-radial',
        18: 'attribute-chart-js-radar',
        19: 'attribute-chart-js-pie-specific-dataset',

        // TV
        20: 'attribute-tv-general',
        // NIVO
        21: 'attribute-nivo-main',
        22: 'attribute-nivo-title',
        23: 'attribute-nivo-style-idx',
        // LIGHTWEIGHT CHART
        24: 'attribute-lightweight-general',
        25: 'attribute-lightweight-candlestick',
        26: 'attributes-lightweight-line-series',
        27: 'attributes-lightweight-area-series',
        28: 'attributes-lightweight-baseline-series',
        29: 'attributes-lightweight-title',
        30: 'attributes-lightweight-heatmap-series',
        31: 'attributes-lightweight-shaded-background-series',
        32: 'attributes-lightweight-area-bands-series',

        33: 'attributes-chart-js-gauge', // CHART JS GAUGE
        34: 'attributes-chart-js-donut', // CHART JS DONUT
        35: 'attribute-chart-js-polar', // CHART JS POLAR

        // GAUGE
        36: 'attribute-gauge-lib-options', // CHART JS POLAR
        // SIMPLE TEXT
        38: 'attribute-simple-text',

        // CHART JS HISTOGRAM
        39: 'attribute-chart-js-histogram-bins',
        40: 'attribute-chart-js-histogram-data',
        41: 'attribute-chart-js-histogram-stats-lines', // DEPRECATED

        // QUANTSTATS settings
        42: 'attribute-quantstats',

        // MATRIX CHART JS
        43: 'attribute-chart-js-matrix-data',
        44: 'attribute-chart-js-matrix-properties',


        // COMMON TITLE
        100: 'attribute-common-title',
    };
}